Bug 766011 - Selecting "Administration Server" in Server Group causes stack trace
Selecting "Administration Server" in Server Group causes stack trace
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: 389-console (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-09 16:09 EST by J Hegge
Modified: 2012-01-10 15:55 EST (History)
3 users (show)

See Also:
Fixed In Version: 389-admin-console-1.1.8-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-16 14:49:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log from -D 9 -f console2.log (120.66 KB, application/octet-stream)
2011-12-09 16:09 EST, J Hegge
no flags Details

  None (edit)
Description J Hegge 2011-12-09 16:09:49 EST
Created attachment 544697 [details]
console log from -D 9 -f console2.log

Description of problem:  Running 389-console, open the Server Group tree and select Administration Server, nothing happens in UI, stack trace dropped on terminal.  Selecting Directory Server works fine.


Version-Release number of selected component (if applicable):
389-ds-base-libs-1.2.10-0.5.a5.fc16.x86_64
389-admin-console-1.1.8-1.fc16.noarch
389-ds-1.2.2-1.fc15.noarch
389-console-1.1.7-1.fc16.noarch
389-ds-base-1.2.10-0.5.a5.fc16.x86_64
389-ds-console-doc-1.2.6-1.fc16.noarch
389-adminutil-1.1.14-1.fc16.x86_64
389-admin-1.1.23-1.fc16.x86_64
389-admin-console-doc-1.1.8-1.fc16.noarch
389-dsgw-1.1.7-2.fc16.x86_64
389-ds-console-1.2.6-1.fc16.noarch
java-1.6.0-openjdk-1.6.0.0-60.1.10.4.fc16.x86_64

How reproducible:
Able to reproduce each time

Steps to Reproduce:
1. Open 389-console
2. Select <host>->Server Group->Administration Server
3. nothing happens in console
  
Actual results: no object, stack trace


Expected results: new object properties


Additional info: single host, one 389 server
Comment 1 Rich Megginson 2011-12-14 15:43:16 EST
commit 4ed43462c5ce07db61bd05aee2f8192e88b58e78
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Dec 14 13:24:26 2011 -0700

    Resolves: Bug 766011 - Selecting "Administration Server" in Server Group cau
    bump rel for java rebuild
Comment 2 Rich Megginson 2011-12-14 15:43:51 EST
note - you will have to do this to clear out your jar file cache

rm -rf ~/.389-console

once 389-admin-console-1.1.8-2 becomes available
Comment 3 Fedora Update System 2011-12-14 15:51:06 EST
389-admin-console-1.1.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-admin-console-1.1.8-2.fc16
Comment 4 Fedora Update System 2011-12-16 14:49:59 EST
389-admin-console-1.1.8-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.